import React, { useState } from "react";
import { Col, Row } from "react-bootstrap";
import orderDataAccess from "dataAccess/orderDataAccess";
import { toast } from "react-toastify";
import { useParams } from "react-router";
import { useLocation } from "react-router-dom";
import PaypalPage from "./paypalPage";

const PaymentPages = (props: any) => {
  // const {id } = useParams<{ id: string }>();
  let orderId = props.match.params.someId;

  //  const location = useLocation();
  //  console.log(props)
  //  console.log(location);
  const [cardNo, setCardNo] = useState("");
  const [passOrderId, setPassOrderId] = useState(orderId);
  const [expireMonth, setExpireMonth] = useState("");
  const [expireYear, setExpireYear] = useState("");
  const [cvv, setCvv] = useState("");

  const addPayPal = () => {
    orderDataAccess.paypalPayment(passOrderId).then((data) => {});
  };

  const addPayment = () => {
    orderDataAccess
      .stripePayment(cardNo, expireMonth, expireYear, cvv, passOrderId)
      .then((data) => {
        if (data.success === true) {
          toast.success(data.message);
          props.history.push("/orders");
        } else {
          toast.error(data.message);
        }
      });
  };


  return (
    <div className="user-profile-top">
      <div className="create-account-container contact-us-bottom profile-bottom">
        <Row>
          <Col className="sideNav">
            <Row className="order-summary">
              <Col
                xl={12}
                lg={12}
                md={12}
                sm={12}
                xs={12}
                className="first-section"
              >
                <div>
                  <span className="header">Payment</span>
                </div>
              </Col>
              <hr style={{ width: "100%" }} />
              <Col
                xl={12}
                lg={12}
                md={12}
                sm={12}
                xs={12}
                className="second-section"
              >
                <div className="row d-flex justify-content-center">
                  {/* <PaypalPage orderId={orderId :any;}/> */}


                  <div className="col-xl-3 col-lg-4 col-md-4 col-sm-12 col-xs-12 col-12 mb-3">
                    <img
                      className="single-payment-img"
                      src="/images/imgpayment/paypal-logo.png"
                      alt="stripe"
                      onClick={addPayPal}
                    />
                  </div>


                  <div className="col-xl-3 col-lg-4 col-md-4 col-sm-12 col-xs-12 col-12 mb-3">
                    <img
                      className="single-payment-img"
                      src="/images/imgpayment/stripe.png"
                      alt="stripe"
                      data-toggle="modal"
                      data-target="#exampleModalCenter"
                    />
                  </div>


                </div>
                <div
                  className="modal fade"
                  id="exampleModalCenter"
                  role="dialog"
                  aria-labelledby="exampleModalCenterTitle"
                  aria-hidden="true"
                >
                  <div
                    className="modal-dialog modal-dialog-centered"
                    role="document"
                  >
                    <div className="modal-content">
                      <div className="modal-header">
                        <h4 className="modal-title" id="exampleModalLongTitle">
                          Payment Details
                        </h4>
                        <div className="ml-auto d-flex">
                          <img
                            className="ml-2"
                            src="/images/payment/master.png"
                            alt="master"
                          />
                          <img
                            className="ml-2"
                            src="/images/payment/visa.png"
                            alt="master"
                          />
                          <img
                            className="ml-2"
                            src="/images/payment/stripe.png"
                            alt="master"
                          />
                        </div>
                        <button
                          type="button"
                          className="close"
                          data-dismiss="modal"
                          aria-label="Close"
                        >
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>

                      <div className="modal-body">
                        <div>
                          <div className="form-group">
                            <label className="font-weight-bold">
                              Card Holder Name
                            </label>
                            <input type="text" className="form-control" />
                          </div>
                          <div className="form-group">
                            <label className="font-weight-bold">
                              Card Number
                            </label>
                            <input
                              type="text"
                              onChange={(e) => setCardNo(e.target.value)}
                              className="form-control"
                            />
                          </div>
                          <div className="form-row">
                            <div className="col-md-4 mb-3 form-group">
                              <label className="font-weight-bold">CVC</label>
                              <input
                                type="text"
                                onChange={(e) => setCvv(e.target.value)}
                                className="form-control"
                                placeholder="ex.311"
                              />
                            </div>
                            <div className="col-md-4 mb-3 form-group">
                              <label className="font-weight-bold">
                                Expiration Month
                              </label>
                              <input
                                type="text"
                                onChange={(e) => setExpireMonth(e.target.value)}
                                className="form-control"
                                placeholder="MM"
                              />
                            </div>
                            <div className="col-md-4 mb-3 form-group">
                              <label className="font-weight-bold">
                                Expiration Year
                              </label>
                              <input
                                type="text"
                                onChange={(e) => setExpireYear(e.target.value)}
                                className="form-control"
                                placeholder="YY"
                              />
                            </div>
                          </div>
                        </div>
                      </div>
                      <div className="modal-footer">
                        {/* <button type="button" className="btn btn-secondary" data-dismiss="modal">Close</button> */}
                        <button
                          type="button"
                          onClick={addPayment}
                          className="default-btn btn-lg btn-block"
                        >
                          Pay Now
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
              </Col>
            </Row>
          </Col>
        </Row>
      </div>
    </div>
  );
};

export default PaymentPages;
